org.apache.olingo.ext.proxy.context

## Enum AttachedEntityStatus

- java.lang.Object
- - java.lang.Enum<AttachedEntityStatus>
  - - org.apache.olingo.ext.proxy.context.AttachedEntityStatus

- All Implemented Interfaces:
    Serializable, Comparable<AttachedEntityStatus>

      public enum AttachedEntityStatus
      extends Enum<AttachedEntityStatus>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ATTACHED` Explicitely attached.
    `CHANGED` Modified object.
    `DELETED` Deleted object.
    `LINKED` Attached because explicitely liked to another object.
    `NEW` New object.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AttachedEntityStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AttachedEntityStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ATTACHED

          public static final AttachedEntityStatus ATTACHED

      Explicitely attached.

    - #### NEW

          public static final AttachedEntityStatus NEW

      New object.

    - #### CHANGED

          public static final AttachedEntityStatus CHANGED

      Modified object.

    - #### DELETED

          public static final AttachedEntityStatus DELETED

      Deleted object.

    - #### LINKED

          public static final AttachedEntityStatus LINKED

      Attached because explicitely liked to another object.

  - ### Method Detail

    - #### values

          public static AttachedEntityStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AttachedEntityStatus c : AttachedEntityStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AttachedEntityStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.